---
- name: Ensure packages for NFS are installed
  ansible.builtin.package:
    name: nfs-utils

- name: Ensure NFS export dir exists
  ansible.builtin.file:
    state: directory
    path: /data_1/nfs4exports
    owner: root
    group: root
    mode: "0755"

- name: Ensure exported data dir exists
  ansible.builtin.file:
    path: "/data_1/nfs4exports/data/{{ item }}"
    state: directory
    owner: nobody
    group: nobody
    mode: "0777"
  loop: "{{ dp_portal_upload_dir }}"

- name: Ensure nfs server is running and enabled
  ansible.builtin.service:
    name: nfs-server
    state: started
    enabled: true

- name: NFS exports configuration
  ansible.builtin.template:
    src: nfs_exports
    dest: /etc/exports
    owner: root
    group: root
    mode: "0644"
  notify: Export NFS shares

- name: Open firewall for NFS
  ansible.posix.firewalld:
    service: nfs
    state: enabled
    permanent: true
    immediate: true
  notify: Restart firewalld
